#!/bin/bash

echo "---start 2c-audio plug-in setup main pre-update script---"
echo ""

# backup user presets

mkdir -p "$INSTALLER_TEMP/Folders"
mkdir -p "$INSTALLER_TEMP/Folders/MyColorPref"
mkdir -p "$INSTALLER_TEMP/Folders/Full"
mkdir -p "$INSTALLER_TEMP/Folders/My Presets"

sudo chmod -R a=rwx "/Library/Application Support/2C-Audio/Vector/Presets"

cp "/Library/Application Support/2C-Audio/Vector/Presets/ColorPref/User/My Presets/"* "$INSTALLER_TEMP/Folders/MyColorPref"
cp "/Library/Application Support/2C-Audio/Vector/Presets/Full/User/"* "$INSTALLER_TEMP/Folders/My Presets"
rm "/Library/Application Support/2C-Audio/Vector/Presets/Full/User/"*
rm -r "/Library/Application Support/2C-Audio/Vector/Presets/Full/Factory"
cp -R "/Library/Application Support/2C-Audio/Vector/Presets/Full/"* "$INSTALLER_TEMP/Folders/Full"

# remove full version

rm -r "/Library/Application Support/2C-Audio/Vector/Presets"
rm -r "/Library/Application Support/2C-Audio/Vector/Props"
rm -r "/Library/Application Support/2C-Audio/Vector/Skins"
rm -r "/Library/Application Support/2C-Audio/Vector/Logs"
rm -r "/Library/Application Support/2C-Audio/Vector"

echo ""
echo "---end 2c-audio plug-in setup main pre-update script---"

exit 0
